---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libenvironment.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F6A0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x515E0, symBinAddr: 0xA0F0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x519D0, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52970, symBinAddr: 0xB480, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52980, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6A080, symBinAddr: 0x22B90, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6A088, symBinAddr: 0x22B98, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6A08C, symBinAddr: 0x22B9C, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F310, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8DDE, offset: 0x8DDE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F314, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x8DE9, offset: 0x8DE9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F318, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8E2E, offset: 0x8E2E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F470, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8EA7, offset: 0x8EA7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F528, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8EC5, offset: 0x8EC5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F52C, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8EDE, offset: 0x8EDE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F530, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8EF7, offset: 0x8EF7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F534, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8F10, offset: 0x8F10, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F538, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8F29, offset: 0x8F29, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F540, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8FB2, offset: 0x8FB2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F558, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8FCB, offset: 0x8FCB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F560, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8FE4, offset: 0x8FE4, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F568, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FFD, offset: 0x8FFD, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F570, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9017, offset: 0x9017, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F578, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x90FD, offset: 0x90FD, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x4F5C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x914F, offset: 0x914F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xA10, symSize: 0x80 }
  - { offsetInCU: 0x91E4, offset: 0x91E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x960, symSize: 0xB0 }
  - { offsetInCU: 0x923F, offset: 0x923F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x860, symSize: 0x100 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xA90, symSize: 0x220 }
  - { offsetInCU: 0x96B7, offset: 0x96B7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xCB0, symSize: 0xA0 }
  - { offsetInCU: 0x976A, offset: 0x976A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xD50, symSize: 0x110 }
  - { offsetInCU: 0x9860, offset: 0x9860, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE60, symSize: 0x150 }
  - { offsetInCU: 0x9991, offset: 0x9991, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xFB0, symSize: 0x30 }
  - { offsetInCU: 0x9A1A, offset: 0x9A1A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xFE0, symSize: 0x150 }
  - { offsetInCU: 0x9C12, offset: 0x9C12, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1130, symSize: 0x160 }
  - { offsetInCU: 0x9D9E, offset: 0x9D9E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1290, symSize: 0x1B0 }
  - { offsetInCU: 0x9FB9, offset: 0x9FB9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1440, symSize: 0xA0 }
  - { offsetInCU: 0xA088, offset: 0xA088, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x14E0, symSize: 0x20 }
  - { offsetInCU: 0xA0BF, offset: 0xA0BF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1500, symSize: 0x20 }
  - { offsetInCU: 0xA0F6, offset: 0xA0F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1520, symSize: 0x20 }
  - { offsetInCU: 0xA265, offset: 0xA265, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1540, symSize: 0x1A0 }
  - { offsetInCU: 0xA58B, offset: 0xA58B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x16E0, symSize: 0x80 }
  - { offsetInCU: 0xA654, offset: 0xA654, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1760, symSize: 0x6A0 }
  - { offsetInCU: 0xB1E9, offset: 0xB1E9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9EB0, symBinAddr: 0x27A0, symSize: 0xB0 }
  - { offsetInCU: 0xB260, offset: 0xB260, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1E00, symSize: 0x70 }
  - { offsetInCU: 0xB31C, offset: 0xB31C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1E70, symSize: 0xA0 }
  - { offsetInCU: 0xB3FB, offset: 0xB3FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1F10, symSize: 0x40 }
  - { offsetInCU: 0xB4F1, offset: 0xB4F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1F50, symSize: 0x2B0 }
  - { offsetInCU: 0xB897, offset: 0xB897, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2200, symSize: 0xC0 }
  - { offsetInCU: 0xB9DD, offset: 0xB9DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x22C0, symSize: 0x10 }
  - { offsetInCU: 0xBA9F, offset: 0xBA9F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x22D0, symSize: 0x220 }
  - { offsetInCU: 0xBD9C, offset: 0xBD9C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x24F0, symSize: 0x10 }
  - { offsetInCU: 0xBDF9, offset: 0xBDF9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2500, symSize: 0x1C0 }
  - { offsetInCU: 0xC118, offset: 0xC118, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9DE0, symBinAddr: 0x26D0, symSize: 0xC0 }
  - { offsetInCU: 0xC14C, offset: 0xC14C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DD0, symBinAddr: 0x26C0, symSize: 0x10 }
  - { offsetInCU: 0xC1A9, offset: 0xC1A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_environment_JvmtiTest_GetResult, symObjAddr: 0x9EA0, symBinAddr: 0x2790, symSize: 0x10 }
  - { offsetInCU: 0xC1DE, offset: 0xC1DE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F60, symBinAddr: 0x2850, symSize: 0x36A }
...
